Table of Contents

_________________________________________________________________

## NAME

Database - create and manipulate a database object.

## SYNOPSIS

Database dbName dbFile

## INHERITANCE

Db <- Database
Drawable <- Database

## STANDARD OPTIONS

None

## INHERITED OPTIONS

Options inherited from Db:

  dbfile

## WIDGET-SPECIFIC OPTIONS

None

## DESCRIPTION

The Database command creates a new database object (given by the dbName argument) that can be used to manipulate a database object. The new database object is associated with the database file given by dbFile. The Database command returns its dbName argument. At the time this command is invoked, there must not exist a database object named dbName.

## METHODS

The Database command creates a new Tcl command whose name is dbName. This command may be used to invoke various operations on the Database object. It has the following general form:

dbName option ?arg arg ...?

Option and the args determine the exact behavior of the command. The following commands are possible for Database objects:

### BUILT-IN METHODS

  isa info

### ASSOCIATED METHODS

Methods associated with LIBRT's database object:

  adjust c cat color comb concat cp dbip dump dup expand find form g get i keep kill killall killtree l listeval ls match mv mvall open observer paths prcolor push put r rm rt_gettrees title tol tops tree whatid whichair whichid

Methods associated with LIBRT's drawable geometry object:

  assoc blast clear draw erase erase_all ev get_autoview illum label observer overlay report rt rtcheck vdraw who zap

### INHERITED METHODS

Methods inherited from Db:

  get_dbname

Methods inherited from Drawable:

  get_dgname

### WIDGET-SPECIFIC METHODS

None

## NOTES

## EXAMPLE

## ACKNOWLEDGEMENTS:

Mark L. Ulferts <mulferts@austin.dsccc.com>

            Basic layout for documenting classes.

## AUTHOR

Robert G. Parker

## KEYWORDS

Table of Contents

- NAME
- SYNOPSIS
- INHERITANCE
- INHERITED OPTIONS
- WIDGET-SPECIFIC OPTIONS
- DESCRIPTION
- METHODS
- BUILT-IN METHODS
- ASSOCIATED METHODS
- INHERITED METHODS
- WIDGET-SPECIFIC METHODS
- NOTES
- EXAMPLE
- ACKNOWLEDGEMENTS
- AUTHOR
- KEYWORDS